#!/bin/sh
set -ex

export JULIA_TEST_MAXRSS_MB=500
export HOME=/tmp

# skip network related tests for Ubuntu autopkgtest too.
if dpkg-vendor --is Ubuntu; then
	export DEBIAN_FORCE_NONET="true"
fi

cd $AUTOPKGTEST_TMP

/usr/bin/julia \
	--check-bounds=yes \
	--startup-file=no \
	/usr/share/julia/test/runtests.jl all
